package com.jln.common.annotation;

import com.jln.common.constant.LocalDateTimeConst;

import javax.validation.Payload;

/**
 * @author 86180
 * @version : DateTime, v 0.1 2020/2/15 10:59
 */
public @interface DateTime {
    String message() default "时间格式错误，时间格式yyyy-MM-dd HH:mm:ss";

    String format() default LocalDateTimeConst.DATE_TIME_PATTERN;

    Class<?>[] groups() default {};

    Class<? extends Payload>[] payload() default {};
}
