package com.jln.common.enums;

/**
 * @ClassName:
 * @Description:
 * @Author:三刀 Date:2020/2/11 15:43
 * Version:1.0
 **/
public enum IsDeleteEnum {
	Delete(1, "已删除"), NotDelete(0, "未删除");
	private Integer status;
	private String description;

	IsDeleteEnum(Integer status, String description) {
		this.status = status;
		this.description = description;
	}

	public Integer getStatus() {
		return status;
	}

	public String getDescription() {
		return description;
	}

	public static boolean confirmSuccessStatus(int status) {
		boolean isPass = false;
		for (int i = 0; i < IsDeleteEnum.values().length; i++) {
			if (status == IsDeleteEnum.values()[i].getStatus()) {
				isPass = true;
			}
		}
		return isPass;
	}
}
