package com.jln.common.enums;

import com.baomidou.mybatisplus.core.enums.IEnum;

/**
 * @ClassName:
 * @Description:
 * @Author:三刀 Date:2020/2/11 23:23
 * Version:1.0
 **/
public enum JudgeEnum implements IEnum<String> {
	IS_YES("1", "是", 1L),
	IS_NOT("0", "否", 0L);

	private String value;
	private String desc;
	private Long valueLong;

	JudgeEnum(String value, String desc, Long valueLong) {
		this.desc = desc;
		this.value = value;
		this.valueLong = valueLong;
	}

	@Override
	public String getValue() {
		return this.value;
	}

	public String getDesc() {
		return this.desc;
	}

	public Long getValueLong() {
		return valueLong;
	}
}
