package com.jln.common.enums;

public enum MqttEnum {
    MQTT_HOST("MQTT_HOST", "主机地址"),
    MQTT_CLIENTID("MQTT_CLIENTID", "客户端ID"),
    MQTT_USERNAME("MQTT_USERNAME", "用户名"),
    MQTT_PASSWORD("MQTT_PASSWORD", "密码"),
    MQTT_SSLROOT_CRTPATH("MQTT_SSLROOT_CRTPATH", "CRT文件路径"),
    MQTT_SSLPROTOCOL("MQTT_SSLPROTOCOL", "SSLPROTOCOL"),
    MQTT_TLS("TLSv1.1", "版本"),
    MQTT_TOPIC("MQTT_TOPIC", "主题");
    private String mqttName;
    private String mqttDesc;

    MqttEnum(String mqttName, String mqttDesc) {
        this.mqttName = mqttName;
        this.mqttDesc = mqttDesc;
    }

    public String getMqttName() {
        return mqttName;
    }

    public void setMqttName(String mqttName) {
        this.mqttName = mqttName;
    }

    public String getMqttDesc() {
        return mqttDesc;
    }

    public void setMqttDesc(String mqttDesc) {
        this.mqttDesc = mqttDesc;
    }
}
