package com.jln.common.enums;

import java.util.ArrayList;
import java.util.List;

/**
 * @ClassName:
 * @Description:
 * @Author:三刀 Date:2020/11/26 16:55
 * Version:1.0
 **/
public enum  ProcessStateColorEnum  implements StateColor<String>{

    NOT_START_WORKING("PSK022", "I"),
    NOT_UNFINISHED("PSK023", "F"),
    UNFINISHED("PSK024", "C"),
    SPEED("PSK025", "D");
    ProcessStateColorEnum(String value, String desc) {
        this.desc = desc;
        this.value = value;
    }
    private String value;
    private String desc;

    @Override
    public String getValue() {
        return value;
    }

    public String getDesc() {
        return desc;
    }

    @Override
    public  List<String> getValues(){
        List<String> values=new ArrayList<>();
        for (ProcessStateColorEnum workOderEnum : ProcessStateColorEnum.values()) {
            values.add(workOderEnum.getValue());
        }
        return values;
    }

    @Override
    public  List<String> getDescs(){
        List<String> values=new ArrayList<>();
        for (ProcessStateColorEnum workOderEnum : ProcessStateColorEnum.values()) {
            values.add(workOderEnum.getDesc());
        }
        return values;
    }
}
