package com.jln.common.enums;

import java.util.ArrayList;
import java.util.List;

/**
 * @ClassName:
 * @Description:
 * @Author:三刀 Date:2020/11/26 15:43
 * Version:1.0
 **/
public enum  PsWbStateColorEnum implements StateColor<String> {
    PS_WB_INITIAL_KEY("PSK005", "I"),
    PS_WB_LEVELS_KEY("PSK006", "R"),
    PS_WB_SUSPEND_KEY("PSK007", "S"),
    PS_WB_ACCOMPLISH_KEY("PSK008", "C");
    PsWbStateColorEnum(String value, String desc) {
        this.desc = desc;
        this.value = value;
    }
    private String value;
    private String desc;

    @Override
    public String getValue() {
        return value;
    }

    public String getDesc() {
        return desc;
    }

    @Override
    public  List<String> getValues(){
        List<String> values=new ArrayList<>();
        for (PsWbStateColorEnum workOderEnum : PsWbStateColorEnum.values()) {
            values.add(workOderEnum.getValue());
        }
        return values;
    }

    @Override
    public  List<String> getDescs(){
        List<String> values=new ArrayList<>();
        for (PsWbStateColorEnum workOderEnum : PsWbStateColorEnum.values()) {
            values.add(workOderEnum.getDesc());
        }
        return values;
    }
}
