package com.jln.common.enums;

import com.baomidou.mybatisplus.core.enums.IEnum;

/**
 * @ClassName: SPC-图类型的枚举维护
 * @Description:
 * @Author:三刀 Date:2020/9/4 11:50
 * Version:1.0
 **/
public enum SpcGraphTypeEnum implements IEnum<String> {
	THE_MEAN_POOR("11", "均值极差图"),
	MEAN_STANDARD_DEVIATION("12", "均值标准差图"),
	SINGLE_VALUE_MOVING_RANGE("13", "单值移动极差图"),
	REGRESSION_CONTROL_CHART("14", "回归控制图"),
	P_CHART("21", "P图"),
	C_CHART("31", "C图"),
	U_CHART("31", "U图");

	private String value;
	private String desc;

	/**
	 * 构造方法
	 *
	 * @param value 值
	 * @param desc  描述
	 */
	SpcGraphTypeEnum(String value, String desc) {
		this.value = value;
		this.desc = desc;
	}

	@Override
	public String getValue() {
		return this.value;
	}
}
