package com.jln.common.utils;

/**
 * @ClassName:  判断当前对象是否是指定类型
 * @Description:
 * @Author:三刀 Date:2020/6/28 13:30
 * Version:1.0
 **/
public class DetermineType {
    public<T> boolean function(Object obj, Class<T> calzz) {
        if (obj == null) {
            return false;
        }
        try {
            T t = (T) obj;
            return true;
        } catch (ClassCastException e) {
            return false;
        }
    }

    public static boolean function(Object obj, String className) {
        if (obj == null) {
            return false;
        }
        try {
            Class<?> aClass = Class.forName(className);
            if(obj.getClass()==aClass){
                return true;
            }
        } catch (ClassNotFoundException e) {
            e.printStackTrace();
            return false;
        }
        return false;
    }
}
