package com.jln.common.utils;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @ClassName:  分页参数
 * @Description:
 * @Author:三刀 Date:2020/1/14 10:34
 * Version:1.0
 **/
@Data
public class PageParameter<T> implements Serializable {
    @ApiModelProperty(value = "当前页", example = "1")
    private Integer pageNum=1;    //当前页
    @ApiModelProperty(value = "每页显示几条", example = "10")
    private Integer pageSize=10;   //每页显示几条
    private T data;             //查询条件
    public Integer getPageNum() {
        return pageNum;
    }

    public void setPageNum(Integer pageNum) {
        this.pageNum = pageNum;
    }

    public Integer getPageSize() {
        return pageSize;
    }

    public void setPageSize(Integer pageSize) {
        this.pageSize = pageSize;
    }

    public T getData() {
        return data;
    }

    public void setData(T data) {
        this.data = data;
    }


}
