package com.jln.system.web.action.mqtt.pojo.dto;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;

import java.util.*;

@Data
public class JsonDataDto {
    @JsonProperty("cmdId")
    private Integer cmdId;
    /**
     * sk 路徑
     */
    @JsonProperty("skurl")
    private String skurl;

    /**
     * txt路徑
     */
    @JsonProperty("txtFileUrl")
    private String txtFileUrl;


    /**
     * 读取的数据表前缀
     */
    @JsonProperty("mongdbTableb")
    private String mongdbTableb;



    @JsonProperty("productKey")
    private String productKey;

    @JsonProperty("sequenceId")
    private Integer sequenceId;

    @JsonProperty("clientUuid")
    private String clientUuid;



    /**
     * 存放查询的表和字段
     */
    @JsonProperty("tableFiels")
    private Map<String, Set<Map<String,Object>>> tableFiels = new HashMap<>();

    /**
     * 存放查询的表和字段
     */
    @JsonProperty("tree")
    private List<Map<String,Object>> tree = new ArrayList<>();
}
