package com.jln.system.web.action.mqtt.util;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.web.multipart.MultipartFile;

import java.io.*;

public class FlieUrlUtil {
    private static Logger logger = LoggerFactory.getLogger(FlieUrlUtil.class);

    /**
     * 获取项目加载类的根路径
     *
     * @return
     */
    public static String getPath() {
        String path = "";
        try {
//            //jar 中没有目录的概念
//            URL location = Application.class.getProtectionDomain().getCodeSource().getLocation();//获得当前的URL
//            File file = new File(location.getPath());//构建指向当前URL的文件描述符
//            if(file.isDirectory()){//如果是目录,指向的是包所在路径，而不是文件所在路径
//                path = file.getAbsolutePath();//直接返回绝对路径
//            }else{//如果是文件,这个文件指定的是jar所在的路径(注意如果是作为依赖包，这个路径是jvm启动加载的jar文件名)
//                path = file.getParent();//返回jar所在的父路径
//            }
            String urlPath=System.getProperty("user.dir")+ "/cacert/cacert.cer";
            InputStream inputStream = new FileInputStream(urlPath);
            File f = new File(FlieUrlUtil.class.getResource("/").getPath());
            System.out.println(f+"-----------");
            System.out.println("获取"+urlPath);
            System.out.println(inputStream+"+++++++");
        } catch (Exception e) {
            e.printStackTrace();
            logger.error("{}", e);
        }
        return path;
    }

    public static void main(String[] args) {
//        String path = getPath();
//
//        System.out.println(path);

    }

    public static String readJsonField(MultipartFile file) throws IOException {
        long startTime=System.currentTimeMillis(); //获取开始时间
        InputStream filestream = file.getInputStream();
//        FileInputStream filestream=new FileInputStream(fileAllPath);
        /*byte[] b = new byte[3];
        filestream.read(b);
        String ecode="gbk";
        if (b[0] == -17 && b[1] == -69 && b[2] == -65){
            ecode="utf-8";
        }*/
        InputStreamReader readStream=new InputStreamReader(filestream);
        BufferedReader reader=new BufferedReader(readStream);
        String s;
        StringBuffer sbStr = new StringBuffer();
        while((s=reader.readLine()) != null){
            sbStr.append(s+"\n");
        }
        reader.close();

        return sbStr.toString();
    }
}
