package com.jln.system.web.action.sm.user.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.jln.common.entity.Result;
import com.jln.common.utils.PageParameter;
import com.jln.system.web.action.sm.user.entity.SysEmployee;
import com.jln.system.web.action.sm.user.pojo.vo.EmpListVo;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author 
 * @since 2020-02-15
 */
public interface SysEmployeeService extends IService<SysEmployee> {

    /**
     * 根据oid获取用户
     * @param oid   当前用户主键
     * @return  如果没有数据返回null
     */
    String getEmpNameByoid(Long oid);

    /**
     * 员工表下拉接口
     * @return
     */
    Result<Page<EmpListVo>> getlist(PageParameter parameter);
}
