package com.jln.system.web.interceptor;

import net.sf.jsqlparser.statement.select.*;
import net.sf.jsqlparser.statement.values.ValuesStatement;

/**
 * @author 86180
 * @version : SelectVisitorImpl, v 0.1 2020/4/13 17:08
 */
public class SelectVisitorImpl implements SelectVisitor {
    @Override
    public void visit(PlainSelect plainSelect) {
        // 访问 select
        if (plainSelect.getSelectItems() != null) {
            for (SelectItem item : plainSelect.getSelectItems()) {
            }
        }
    }

    @Override
    public void visit(SetOperationList setOperationList) {
        for (SelectBody plainSelect : setOperationList.getSelects()) {
            plainSelect.accept(new SelectVisitorImpl());
        }
    }

    @Override
    public void visit(WithItem withItem) {
        withItem.getSelectBody().accept(new SelectVisitorImpl());
    }

    @Override
    public void visit(ValuesStatement valuesStatement) {
    }
}
