package com.jln.common.annotation;

import java.lang.annotation.*;


/**
 * 参数规则配置注解类
 * @author asus
 */
@Target({ElementType.METHOD,ElementType.TYPE})
@Retention(RetentionPolicy.RUNTIME)
@Documented
public @interface ValidationRulesRepetition {

    /**
     * 定义参数规则编码
     * @return
     */
    String value() default "";

    /**
     * 批量规则编码接口
     * @return
     */
    boolean isList() default false;


    /**
     * 主键在类中的位置
     * @return
     */
    int idIndex() default -1;

    /**
     * 是否父类
     * @return
     */
    boolean isSuperclass() default false;

}
