package com.jln.common.constant;

/**
 * 关于时间的常量
 */
public class LocalDateTimeConst {
	public static final String DATE_YYYYMM_PATTERN = "yyyyMM";
	public static final String DATE_YEAR_MONTH_PATTERN = "yyyy-MM";
	public static final String DATE_YEAR_PATTERN = "yyyy";

	/**
	 * 默认日期格式   "yyyy-MM-dd"
	 */
	public static final String DATE_PATTERN = "yyyy-MM-dd";

	/**
	 * 默认时间格式   "HH:mm:ss"
	 */
	public static final String DEFAULT_TIME_FORMAT = "HH:mm:ss";

	/**
	 * 默认日期时间格式   yyyy-MM-dd HH:mm:ss
	 */
	public static final String DATE_TIME_PATTERN = "yyyy-MM-dd HH:mm:ss";

	public static final String DATE_SHORTTIME_PATTERN = "yyyy-MM-dd HH:mm";
	public static final String DATE_PATTERN_2 = "yyyy/MM/dd";
	public static final String DATE_POINT_PATTERN = "yyyy.MM.dd";
	public static final String DATE_POINT2_PATTERN = "yyyy.MM";
	public static final String DATE_YYYYMMDDHHmm = "yyyy年MM月dd日 HH:mm";
	public static final String DATE_mdHHmmss = "MM-dd HH:mm:ss";
}
