package com.jln.common.enums;

import com.baomidou.mybatisplus.core.enums.IEnum;

/**
 * 工单产出物料绑定方式枚举维护类
 */
public enum BindingModeEnum implements IEnum<String> {
	BIND_SN("SN", "序列号"),
	BIND_BT("BT", "批次号");

	private String value;
	private String desc;

	BindingModeEnum(String value, String desc) {
		this.desc = desc;
		this.value = value;
	}

	@Override
	public String getValue() {
		return this.value;
	}

	public String getDesc() {
		return this.desc;
	}

}
