package com.jln.common.enums;

import com.baomidou.mybatisplus.core.enums.IEnum;

public enum CodeEnum implements IEnum<String> {

	KZTBM("控制图编码", "SPC控制图编码规则不存在"),
	SAMPLE_DATA("SPC样本编码", "SPC样本数据编码规则不存在"),
	TEST_OBJECT("SPC样本检验对象", "SPC样本检验对象编码规则不存在");

	private String value;
	private String desc;

	CodeEnum(String value, String desc) {
		this.value = value;
		this.desc = desc;
	}

	@Override
	public String getValue() {
		return this.value;
	}

	public static String getDesc(String value) {
		CodeEnum[] values = values();
		for (CodeEnum anEnum : values) {
			if (anEnum.value.equals(value)) {
				return anEnum.desc;
			}
		}
		return null;
	}
}
