package com.jln.common.enums;

import com.baomidou.mybatisplus.core.enums.IEnum;

/**
 * @ClassName: SPC 样本类型枚举维护
 * @Description:
 * @Author:三刀 Date:2020/8/25 15:20
 * Version:1.0
 **/
public enum SpcTypeEnum implements IEnum<String> {
	IS_COUNT("1", "计数"),
	IS_MEASURE("2", "计量"),
	IS_ARGUMENT("3", "计点");

	SpcTypeEnum(String value, String desc) {
		this.desc = desc;
		this.value = value;
	}

	private String value;
	private String desc;

	@Override
	public String getValue() {
		return value;
	}
}
