package com.jln.common.enums;

import java.io.Serializable;
import java.util.List;

/**
 * @ClassName:
 * @Description:
 * @Author:三刀 Date:2020/11/26 15:53
 * Version:1.0
 **/
public interface StateColor<T extends Serializable> {
    /**
     * 获取value值
     * @return
     */
    T getValue();

    /**
     * 获取所有value值
     * @return
     */
    List<T> getValues();

    /**
     * 获取所有的描述值
     * @return
     */
    List<String> getDescs();
}
