package com.jln.common.enums;

import com.baomidou.mybatisplus.core.enums.IEnum;

/**
 * @ClassName: 系统中常见状态维护枚举类
 * @Description: 状态：i|初始、f|确认、c|完成
 * @Author:三刀 Date:2020/2/15 17:25
 * Version:1.0
 **/
public enum StateEnum implements IEnum<String> {
	INITAL("I", "初始"),
	CONFIRM("F", "确认"),
	COMPLETE("C", "完成");
	private String value;
	private String desc;

	StateEnum(String value, String desc) {
		this.desc = desc;
		this.value = value;
	}

	@Override
	public String getValue() {
		return this.value;
	}
}
