package com.jln.system.web.action.sm.sm1001.pojo.vo;

import com.jln.system.web.action.sm.sm1001.entity.SysRole;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.util.List;

/**
 * @ClassName: 查询用户详细信息
 * @Description:
 * @Author:三刀 Date:2020/4/26 11:19
 * Version:1.0
 **/
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="用户信息", description="用户信息")
public class UserInfo {

    @ApiModelProperty(value = "用户主键")
    private Long userId;

    @ApiModelProperty(example = "张三",value = "用户名，登录名")
    private String userName;

    @ApiModelProperty(value = "员工编码，工号")
    private String employeeCode;

    @ApiModelProperty(value = "员工名称")
    private String employeeName;

    @ApiModelProperty(value = "电话")
    private String phone;

    @ApiModelProperty(value = "用户头像")
    private String photo;

    @ApiModelProperty(value = "用户密码策略",example = "123456")
    private Long paspolFk;

    @ApiModelProperty(value = "公司主键")
    private Long orgOid;

    @ApiModelProperty(value = "公司名称")
    private String orgName;

    @ApiModelProperty(value = "公司层级")
    private String orgClassCode;

    @ApiModelProperty(value = "部门主键")
    private Long divisionOid;

    @ApiModelProperty(value = "部门名称")
    private String divisionName;

    @ApiModelProperty(value = "部门层级")
    private String divisionClassCode;

    @ApiModelProperty(value = "岗位主键")
    private Long postOid;

    @ApiModelProperty(value = "主岗位名称")
    private String postName;

    @ApiModelProperty(value = "所属项目部")
    private Long xmwhFk;


    @ApiModelProperty(value = "角色")
    private List<SysRole> sysRoles;
}
