package com.jln.system.web.action.mqtt.pojo.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

@ApiModel(value="EoStatistics")
@Data
@TableName(value = "eo_statistics")
public class EoStatistics implements Serializable {
    /**
     * 主键
     */
    @TableId(value = "eo_statisticsoid", type = IdType.INPUT)
    @ApiModelProperty(value="主键")
    private Long eoStatisticsoid;

    /**
     * 作业时长
     */
    @TableField(value = "zysc")
    @ApiModelProperty(value="作业时长")
    private Integer zysc;

    /**
     * 待机时长
     */
    @TableField(value = "djsc")
    @ApiModelProperty(value="待机时长")
    private Integer djsc;

    /**
     * 故障时长
     */
    @TableField(value = "gzsc")
    @ApiModelProperty(value="故障时长")
    private Integer gzsc;

    /**
     * 离线时长
     */
    @TableField(value = "lxsc")
    @ApiModelProperty(value="离线时长")
    private Integer lxsc;

    /**
     * 设备
     */
    @TableField(value = "sb")
    @ApiModelProperty(value="设备")
    private String sb;

    /**
     * 记录是哪一天
     */
    @TableField(value = "nowdata")
    @ApiModelProperty(value="记录是哪一天")
    private Date nowdata;

    private static final long serialVersionUID = 1L;

    public static final String COL_EO_STATISTICSOID = "eo_statisticsoid";

    public static final String COL_ZYSC = "zysc";

    public static final String COL_DJSC = "djsc";

    public static final String COL_GZSC = "gzsc";

    public static final String COL_LXSC = "lxsc";

    public static final String COL_SB = "sb";

    public static final String COL_NOWDATA = "nowdata";
}