package com.jln.system.web.action.mqtt.pojo.entity;

import lombok.Data;

import java.util.Date;

@Data
public class ScadaTxsb {
    /**
     * 通讯设备主键
     */
    private Long txsbOid;
    /**
     * 品牌通道编码
     */
    private String pptdId;
    /**
     * 品牌通道名称
     */
    private String pptdMc;
    /**
     * 品牌外键
     */
    private Long ppFk;
    /**
     * 设备类型编码
     */
    private String sblxId;
    /**
     * 设备类型名称
     */
    private String sblxMc;
    /**
     * 设备品牌明细外键
     */
    private Long ppmxFk;
    /**
     * 标识编码
     */
    private String bsId;
    /**
     * 标识名称
     */
    private String bsMc;
    /**
     * 备注
     */
    private String bZ;
    /**
     * 协议类型编码
     */
    private String xylxId;
    /**
     * 协议类型名称
     */
    private String xylxMc;
    /**
     * 设备IP地址
     */
    private String sbIp;
    /**
     * 端口号
     */
    private int port;
    /**
     * com端口号
     */
    private String comport;
    /**
     * 波特率
     */
    private int btl;
    /**
     * 扫描速率(ms)
     */
    private int smSl;
    /**
     * 项目管理外键
     */
    private Long xmglFk;
    /**
     * 对外连接性
     */
    private Boolean dwlJx;
    /**
     * 对外IP地址
     */
    private String dwIp;
    /**
     * 对外端口号
     */
    private int dwPort;
    /**
     * 创建时间
     */
    private Date created;
    /**
     * 维护人外键
     */
    private Long sysLastUpdBy;
    /**
     * 维护时间
     */
    private Date sysUpdUpd;
    /**
     * 项目编码
     */
    private String xmId;
    /**
     * 接入方式
     */
    private String jrSf;
    /**
     * 设备数据库名称
     */
    private String sbsjkMc;
    /**
     * 用户设置
     */
    private Boolean yhSz;
    /**
     * 账号
     */
    private String uId;
    /**
     * 密码
     */
    private String pwd;
    /**
     * cpu设置
     */
    private Boolean cpuSz;
    /**
     * cpu机架号
     */
    private int cpuJj;
    /**
     * cpu插槽号
     */
    private int cpuCc;
}
