package com.jln.system;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.jdbc.DataSourceAutoConfiguration;
import org.springframework.boot.autoconfigure.security.servlet.SecurityAutoConfiguration;


/**
 * @author 86180
 * @version : Application, v 0.1 2020/1/14 16:34
 */



/*
* springboot是默认扫描当前包目录下的class
* 项目配置多模块配置时，需要在入口处配置扫描主类当前包外的其他包或不扫描当前包下的特定包或类
* exclude是忽略注册类
* scanBasePackages是配置扫描类
*/
@SpringBootApplication(exclude= {DataSourceAutoConfiguration.class, SecurityAutoConfiguration.class},scanBasePackages = {"com.jln.common","com.jln.system"})
//@MapperScan("com.jln.system.web.action.*.*.mapper")
public class Application {
    public static void main(String[] args) {
        SpringApplication.run(Application.class,args);
    }

  /*  @Bean
    public FilterRegistrationBean httpServletRequestReplacedRegistration() {
        FilterRegistrationBean registration = new FilterRegistrationBean();
        registration.setFilter(new HttpServletRequestReplacedFilter());
        registration.addUrlPatterns("/*");
        registration.addInitParameter("paramName", "paramValue");
        registration.setName("httpServletRequestReplacedFilter");
        registration.setOrder(1);
        return registration;
    }
*/
}
