package com.jln.system.web.action.sm.user.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 
 * </p>
 *
 * @author 
 * @since 2020-02-15
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class SysEmployee extends Model<SysEmployee> {

    private static final long serialVersionUID = 1L;

    /**
     * 员工主键和用户主键一致
     */
    @TableId
    private Long employeeOid;

    /**
     * 员工编码
     */
    private String codeing;

    /**
     * 员工工号
     */
    private String jobNumber;

    /**
     * 员工电话号码
     */
    private String phone;

    /**
     * 0为男，1为女
     */
    private String sex;

    /**
     * 员工姓名
     */
    private String employeeName;

    /**
     * 员工籍贯
     */
    private String nativePlace;

    /**
     * 员工身份证号
     */
    private String idCard;

    /**
     * 入职时间
     */
    private LocalDateTime entryTime;

    /**
     * 离职时间
     */
    private LocalDateTime dimissionTime;

    /**
     * 0为启用，1为停用
     */
    private String blockUp;

    /**
     * 0为未删除，1为已删除
     */
    @TableLogic
    private Integer del;


    @Override
    protected Serializable pkVal() {
        return this.employeeOid;
    }

}
