package com.jln.system.web.config;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.boot.jdbc.DataSourceBuilder;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.context.annotation.Primary;

import javax.sql.DataSource;

/**
 * @author 86180
 * @version : DataSourcesConfig, v 0.1 2020/5/9 11:43
 */
@Configuration
public class DataSourcesConfig {
    @Bean(name="dbOne")
    //spring.datasource.mysql.druid
    @ConfigurationProperties(prefix = "spring.datasource.mysql")
    @Primary
    DataSource dbOne(){
        return DataSourceBuilder.create().build();
    }
    @Bean(name="dbTwo")
    @ConfigurationProperties(prefix = "spring.datasource.mysqlmes")
    DataSource dbTwo(){
        return DataSourceBuilder.create().build();
    }

}
